Summary: X.Org X11 libfontenc runtime library
Name: libfontenc
Version: 1.1.3
Release: 1
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2.sig

BuildRequires: pkg-config
BuildRequires: zlib-devel >= 1.2.3-7
Requires: zlib >= 1.2.3-7

%description
X.Org X11 libfontenc runtime library


%package devel
Summary: X.Org X11 libfontenc development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel >= 1.2.3-7

%description devel
X.Org X11 libfontenc development package


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp ./src/.libs/%{name}.so.1 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./src/.libs/%{name}.a ./%{name}.so.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# make symlinks
cd ${RPM_BUILD_ROOT}
mkdir -p usr/lib
cd usr/lib
ln -sf ../..%{_libdir}/* .
cd ../..
mkdir -p usr/include/X11/fonts
cd usr/include/X11/fonts
ln -s ../../../..%{_includedir}/X11/fonts/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING ChangeLog INSTALL README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/X11/fonts/fontenc.h
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/X11/fonts/fontenc.h
/usr/lib/*.la


%changelog
* Mon Oct 08 2018 Michael Perzl <michael@perzl.org> - 1.1.3-1
- updated to version 1.1.3

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 1.1.2-1
- updated to version 1.1.2

* Wed Jan 12 2011 Michael Perzl <michael@perzl.org> - 1.1.0-1
- updated to version 1.1.0

* Thu Sep 24 2009 Michael Perzl <michael@perzl.org> - 1.0.5-1
- first version for AIX V5.1 and higher
